import request from "../utils/request.js";
import Method from "./Method.js";

const system = {
    getData: async (params) => {
        return request({
            url: '/m1/5995958-5684445-default/getList',
            method: Method.POST,
            data: params
        });
    },
    getSelect: async () => {
        return request({
            url: '/m1/5995958-5684445-default/getSelectList',
            method: Method.GET,
        });
    },
    getRange: async () => {
        return new Promise((resolve) => {
            resolve({
                data: [
                    {
                        id: 1,
                        name: '≥'
                    },
                    {
                        id: 2,
                        name: '<'
                    }
                ]
            });
        })
    },
    uploadFile: async (file) => {
        const formData = new FormData();
        formData.append('file', file);
        return request({
            UN_AES: true,
            url: '/admin/upload/upload',
            method: Method.POST,
            data: formData,
            headers: {
                'Content-Type': 'multipart/form-data; boundary=--------------------------611824495457697861278283'
            }
        });
    },
    uploadFile2: async (file) => {
        const formData = new FormData();
        formData.append('file', file);
        return request({
            UN_AES: true,
            url: '/index/upload/upload',
            method: Method.POST,
            data: formData,
            headers: {
                'Content-Type': 'multipart/form-data; boundary=--------------------------611824495457697861278283'
            }
        });
    },
}

export default system;
